<template>
  <div class="app-container">
    <el-tabs v-model="activeName">
      <el-tab-pane v-for="item in tables" :key="item.name" :label="item.title" :name="item.component" />
      <component :is="activeName" />
    </el-tabs>
  </div>
</template>
<script>
import RegionConfig from './region'
import RegionAssistConfig from './assist'
export default {
  name: 'GameConfigIndex',
  components: { RegionConfig, RegionAssistConfig },
  data() {
    return {
      activeName: 'RegionConfig'
    }
  },
  computed: {
    tables() {
      return [
        {
          title: this.$t('pages.regionConfig.tabs.regionList'),
          component: 'RegionConfig'
        },
        {
          title: this.$t('pages.regionConfig.tabs.assistConfig'),
          component: 'RegionAssistConfig'
        }
      ]
    }
  }
}
</script>
